<?php
/**
 * Plugin Name:       Post Sync Plugin
 * Plugin URI:        https://rtmbusiness.nl/
 * Description:       Synchronize posts in multi-site environments
 * Version:           0.1.4
 * Requires at least: 6.1
 * Requires PHP:      8.1
 * Author:            Haidar Maraiyhdj for RTM Business
 * Author URI:        https://rtmbusiness.com/
 * License:           proprietary
 * Update URI:        https://release-belt.rtmbusiness.nl/
 * Text Domain:       post-sync
 * Domain Path:       /languages
 */


use RtmBusiness\PostSync\Core;

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

if (!class_exists('PostSync\Core')) {
    require_once plugin_dir_path(__FILE__) . 'vendor/autoload.php';
}

$core = Core::instance();

register_activation_hook(__FILE__, [$core, 'activatePlugin']);
register_uninstall_hook(__FILE__, [$core, 'uninstallPlugin']);